#include "GravityRtc.h"
#include "Wire.h"
GravityRtc rtc;
#include <Arduino.h>
#include <U8g2lib.h>
#include "DFRobot_I2CMultiplexer.h"//
#include <Wire.h>
#include "DFRobot_SSD1306_I2C.h"
U8G2_SSD1306_128X64_NONAME_F_HW_I2C u8g2(/* rotation=*/U8G2_R0, /* reset=*/ U8X8_PIN_NONE);    //  M0/ESP32/ESP8266/mega2560/Uno/Leonardo
DFRobot_SSD1306_I2C OLED(0x3c);
DFRobot_I2CMultiplexer I2CMulti(0x70);


char key_num =0; 
int btn_open = D5;
int btn_jian = D7;
int w=0;
bool isWarn = false;

void setup(void)
{
rtc.read();
       Serial.begin(91000);
        rtc.setup();
        u8g2.begin();
      //rtc.adjustRtc(F(__DATE__), F(__TIME__));
      //rtc.adjustRtc(2017,6,19,1,12,7,0); 
pinMode(btn_open, INPUT_PULLUP);
pinMode(btn_jian, INPUT_PULLUP);
}


void loop(void)
{
rtc.read();
 if(touchRead(4)<=40)
 {
    key_num++;
 }

  
   if(key_num==1)
   { 
  I2CMulti.selectPort(2);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(4);

  OLED.setCursor(0,15);
  OLED.print(rtc.hour);
  OLED.setCursor(54,15);
  OLED.print(":");
  OLED.setCursor(78,15);
  OLED.print(rtc.minute);


  I2CMulti.selectPort(3);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(2);

  OLED.setCursor(0,10);
  OLED.print(rtc.year);
  OLED.setCursor(60,35);
  OLED.print(rtc.month);
  OLED.setCursor(76,35);
  OLED.print("/");
  OLED.setCursor(90,35);
  OLED.print(rtc.day);


  I2CMulti.selectPort(4);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print("00");
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print("00");


  I2CMulti.selectPort(5);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(2);

  OLED.setCursor(0,0);
  OLED.print("Never look");
  OLED.setCursor(13,20);
  OLED.print("down on");
  OLED.setCursor(26,40);
  OLED.print("yourself");

  key_num=2;
   }




  if(key_num==3)
  {
  I2CMulti.selectPort(2);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print("05");
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print("00");


  I2CMulti.selectPort(3);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print("10");
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print("00");


  I2CMulti.selectPort(4);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print("15");
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print("00");
  

  I2CMulti.selectPort(5);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print("20");
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print("00");

    key_num=4;
  }



   if(key_num==5)
   { 
for(int y=4;y>=0;y--)
{ 
for(int q=59;q>=0;q--)
{

  I2CMulti.selectPort(2);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print(y);
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print(q);
  delay(1000);

   if(touchRead(4)<=40&&key_num==5)
 {
   y=0; 
   q=0; 
   key_num=6;
 }
}

}
}



   if(key_num==7)
   { 

for(int y=9;y>=0;y--)
{ 
for(int q=59;q>=0;q--)
{

  I2CMulti.selectPort(3);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print(y);
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print(q);
  delay(1000);

   if(touchRead(4)<=40&&key_num==7)
 {
   y=0; 
   q=0; 
   key_num=8;
 }
}

}
}




   if(key_num==9)
   { 

for(int y=14;y>=0;y--)
{ 
for(int q=59;q>=0;q--)
{

  I2CMulti.selectPort(4);
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print(y);
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print(q);
  delay(1000);

   if(touchRead(4)<=40&&key_num==9)
 {
   y=0; 
   q=0; 
   key_num=10;
 }
}

}
}



   if(key_num==11)
   { 

for(int y=19;y>=0;y--)
{ 
for(int q=59;q>=0;q--)
{

  I2CMulti.selectPort(5 );
  OLED.begin();
  OLED.setTextColor(1);
  OLED.setTextSize(3);

  OLED.setCursor(20,25);
  OLED.print(y);
  OLED.setCursor(55,25);
  OLED.print(":");
  OLED.setCursor(73,25);
  OLED.print(q);
  delay(1000);

   if(touchRead(4)<=40&&key_num==11)
 {
   y=0; 
   q=0; 
   key_num=0;
 }
}

}
}

}
